package com.gic.haoban.manage.service.dao.mapper.moment;

import com.gic.haoban.manage.api.dto.moment.QwMomentPlanAttendDTO;
import com.gic.haoban.manage.api.dto.moment.QwMomentPlanDTO;
import com.gic.haoban.manage.service.entity.moment.TabQwMomentPlanAttend;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QwMomentPlanAttendMapper {

    void batchInsert(List<TabQwMomentPlanAttend> list) ;

    void update(TabQwMomentPlanAttend dto) ;

    /**
     * 查询已经存在的导购
     * @param planId
     * @param clerkIdList
     * @return
     */
    List<String> listExistClerkIds(@Param("planId") Long planId , @Param("list") List<String> clerkIdList) ;

    List<QwMomentPlanAttendDTO> listClerk(@Param("planId")Long planId);


    /**
     * 删除
     * @param planId
     * @param clerkIdList
     */
    void delClerks(@Param("planId") Long planId , @Param("list") List<String> clerkIdList) ;

}
